Subject: Re: [kbuild] Re: linux-next: build failure after merge of the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Thu, 17 Feb 2011 13:45:47 +0100

On Thu, 2011-02-17 at 13:43 +0100, Ingo Molnar wrote:
> * Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > On Mon, 31 Jan 2011 15:42:59 +1100 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > After merging the tip tree, today's linux-next build (x86_64 allmodconfig)
> > > failed like this:
> > > 
> > > x86_64-linux-gcc: arch/x86/lib/memmove_64.c: No such file or directory
> > > 
> > > Caused by commit 9599ec0471deae24044241e2173090d2cbc0e899 ("x86-64, mem:
> > > Convert memmove() to assembly file and fix return value bug") interacting
> > > with our build system.
> > > 
> > > After removing arch/x86/lib/.memmove_64.o.cmd (left over from the build
> > > before merging the tip tree) from my object tree, it built correctly.
> > 
> > I am still getting this (of course).
> 
> You reported this as a -tip build failure - but it appears to be some sort of kbuild 
> bug/artifact, right? There was a leftover .memmove_64.o.cmd file from an old tree.
> 
> When jumping between kernel versions via git checkout a 'make mrproper' is generally 
> needed. In most cases 'make' will figure things out but it's not always guaranteed.
> 
> So for example there are version transitions where a stale include/asm links could 
> cause build problems.

Yeah, I run into this problem once every few days, totally annoying. A
make clean does fix it so I couldn't be arsed to actually submit myself
to Kbuild voodoo, but if someone who knows about that stuff could come
up with a fix I'd be most obliged.